Updates a client. Client Name or Description can be updated with this method.
Permission level: read-write
PUT /clients/{clientId}
Operation id: ClientService_UpdateClient
Tags: ClientService
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
clientId | string | Yes | Client Id of the client to update, Required: true |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | |
clientName | string | No | |
clientDescription | string | No | |
updateFieldMask | string | No | |
timeToLive | object | No | |
tokenTtl | object | No | |
primarySite | string | No | |
assignedRoles | array | No |
{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"clientName": {
"type": "string"
},
"clientDescription": {
"type": "string"
},
"updateFieldMask": {
"type": "string"
},
"timeToLive": {
"type": "object",
"properties": {
"value": {
"type": "integer",
"format": "int32"
},
"unit": {
"type": "string",
"description": "- FOREVER: Default Value",
"enum": [
"FOREVER",
"HOUR",
"DAY",
"WEEK",
"MONTH"
],
"default": "FOREVER"
}
}
},
"tokenTtl": {
"type": "object",
"properties": {
"value": {
"type": "integer",
"format": "int32"
},
"unit": {
"type": "string",
"description": "- FOREVER: Default Value",
"enum": [
"FOREVER",
"HOUR",
"DAY",
"WEEK",
"MONTH"
],
"default": "FOREVER"
}
}
},
"primarySite": {
"type": "string"
},
"assignedRoles": {
"type": "array",
"items": {
"type": "object",
"properties": {
"domain": {
"type": "string",
"description": "The platform domain. Required: true. (e.g. ZPA, Reflexis, WFC)\nDefaults to the domain in the request."
},
"scope": {
"type": "string",
"description": "Some more general scoping for the data (like a particular app in the domain). Required: false."
},
"roleId": {
"type": "string",
"description": "The role ID. Required: true."
}
}
}
}
}
}
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
tokenMetadata | object | No |
{
"type": "object",
"properties": {
"tokenMetadata": {
"type": "object",
"properties": {
"clientName": {
"type": "string"
},
"clientId": {
"type": "string"
},
"tenantId": {
"type": "string"
},
"createTime": {
"type": "string",
"format": "date-time"
},
"lastUpdate": {
"type": "string",
"format": "date-time"
},
"expirationTime": {
"type": "string",
"format": "date-time"
},
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
},
"secret": {
"type": "string"
},
"clientDescription": {
"type": "string"
},
"tokenTtl": {
"type": "string",
"format": "int64"
},
"tokenTtlUnit": {
"type": "string"
},
"primarySite": {
"type": "string"
},
"assignedRoles": {
"type": "array",
"items": {
"type": "object",
"properties": {
"domain": {
"type": "string",
"description": "The platform domain. Required: true. (e.g. ZPA, Reflexis, WFC)\nDefaults to the domain in the request."
},
"scope": {
"type": "string",
"description": "Some more general scoping for the data (like a particular app in the domain). Required: false."
},
"roleId": {
"type": "string",
"description": "The role ID. Required: true."
}
}
}
},
"status": {
"type": "string",
"enum": [
"NONE",
"ACTIVE",
"INACTIVE"
],
"default": "NONE"
},
"clientTtl": {
"type": "string",
"format": "int64"
},
"clientTtlUnit": {
"type": "string"
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}